A sample command-line application to generate which allows to generate the template of a brick from a project which compiles. with an entrypoint in `bin/`, library code
in `lib/`.

# How to use

- Add your app in `apps`.
- Add `brick_config.yaml` in you app folder and add this fields :

```yaml
brick_name: wyatt_feature_brick

path_to_brickify: lib/feature_brick_folder

variables:
  feature_brick:
    variable_name: feature_brick
    type: string
    syntax:
      camel_case: featureBrick
      constant_case: FEATURE_BRICK
      dot_case: feature.brick
      header_case: Feature-Brick
      lower_case: feature brick
      pascal_case: FeatureBrick
      param_case: feature-brick
      sentence_case: Feature brick
      snake_case: feature_brick
      title_case: Feature Brick
      upper_case: FEATURE BRICK
  description:
    variable_name: description
    type: string
    syntax:
      camel_case: description
      constant_case: DESCRIPTION
      dot_case: description
      header_case: Description
      lower_case: description
      pascal_case: Description
      param_case: description
      sentence_case: Description
      snake_case: description
      title_case: Description
      upper_case: DESCRIPTION
  isBloc:
    variable_name: bloc
    type: bool
```

then run command with project path

```sh
dart tools/brick_generator/bin/brick_generator.dart ./apps/wyatt_feature_brick
```

# TODO
- Work on bool variables